package com.kdanmobile.reader.screen.handler

import com.kdanmobile.kmpdfkit.manager.controller.KMPDFDocumentController

interface OperateHandler {
    fun rotatePages(pages: IntArray, rotateDirection: KMPDFDocumentController.RotationalDirection): Boolean
    fun save(): Boolean
    fun deletePages(pages: IntArray): Boolean
    fun reorderPage(fromPage: Int, toPage: Int): Boolean
    fun splitPDFWithPages(path: String, selectPage: IntArray): Boolean
}